summaryrefslogtreecommitdiff
path: root/dev-ruby/ddplugin/ddplugin-1.0.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-ruby/ddplugin/ddplugin-1.0.3.ebuild
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-ruby/ddplugin/ddplugin-1.0.3.ebuild')
-rw-r--r--dev-ruby/ddplugin/ddplugin-1.0.3.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-ruby/ddplugin/ddplugin-1.0.3.ebuild b/dev-ruby/ddplugin/ddplugin-1.0.3.ebuild
new file mode 100644
index 000000000000..346b92612bd9
--- /dev/null
+++ b/dev-ruby/ddplugin/ddplugin-1.0.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides plugin management for Ruby projects"
+HOMEPAGE="https://github.com/ddfreyne/ddplugin/"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/coverall/I s:^:#:' test/helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}